package com.qxgmat.dto.admin.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.Ad;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Dto(entity = Ad.class)
public class AdDto {

    private Integer id;

    @NotEmpty(message = "广告名称不能为空！")
    private String title;

    @NotEmpty(message = "位置不能为空！")
    private Integer position;

    private Date startTime;

    private Date endTime;

    @NotEmpty(message = "图片不能为空！")
    private String image;

    @NotEmpty(message = "链接不能为空！")
    private String link;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getPosition() {
        return position;
    }

    public void setPosition(Integer position) {
        this.position = position;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }
}
